Subject: Re: g++ problem "-fno-implicit-templates"
From: [email-masked] (Steven J. Zeil)

14 Nov 1997 13:37:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Russ Vreeland <[email-masked]>
Cc: [email-masked]

On Thu, 13 Nov 1997, Russ Vreeland wrote:

> 
> template class vector<transitions>; // last line in .cc file
> 
> It still doesn't work, the error message now contains:
> 
> SignalDB.o(.text+0x1668):SignalDB.cc: undefined reference to
> `uninitialized_fill
> _n(sigActList *, unsigned int, sigActList const &)'
> SignalDB.o(.text+0x16e1):SignalDB.cc: undefined reference to
> `uninitialized_copy
   [list of messages omitted]
> 
> What can I do to make this work? I'm about ready to give up on gnu-win32.
> 

Go to http://www.metabyte.com/~fbp/stl/effort.html, get the latest adapted
version of the STL.

Unpack it, and reconfigure (from within a bash shell) this way:
   CXX=g++ CXXFLAGS="-g" ./configure --enable-malloc
[Adjust the CXXFLAGS to whatever flags you use most often]

Use -I options in your compilations to look at the directory containing
this adapted version before the gnu-win32 include directories, and don't
bother with -fno-implicit-templates.

SJZ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".